<?php 
namespace Teknisa\MAN\Controllers\DataExporterImpl\ReportHandlers;

use Zeedhi\Framework\DTO\Response;

class RelObservacaoDescontoHandler extends AReportHandler {
    
    const RELATORIO = 'vnd0160K_relObservacaoDescontoExport';
    
    public function buildNewRequest($request, Response $response) {
        $conditions = $this->relService->getParamsAsArray($request);
        if(array_key_exists('CDFILIAL', $conditions)){
            $conditions['CDFILIAL'] = implode('_', $conditions['CDFILIAL']);
            $conditions['TCDFILIAL'] = NULL;
        } else{
            $conditions['CDFILIAL'] = NULL;
            $conditions['TCDFILIAL'] = 'T';
        }
        if(array_key_exists('CDLOJA', $conditions)){
            $conditions['CDLOJA'] = implode('_', $conditions['CDLOJA']);
            $conditions['TCDLOJA'] = NULL;
        } else{
            $conditions['CDLOJA'] = NULL;
            $conditions['TCDLOJA'] = 'T';
        }
        if(array_key_exists('DTENTRVENDA', $conditions)){
            $conditions['DTVENDAINI'] = $conditions['DTENTRVENDA'][0];
            $conditions['DTVENDAFIN'] = $conditions['DTENTRVENDA'][1];
        }
        unset($conditions['NRORG']);
        unset($conditions['DTENTRVENDA']);
        $newRequest = $this->relService->createNewZeedhiFilterRequestObject($request, self::RELATORIO, $conditions);
        return [$newRequest, $response];
    }
}